summaryrefslogtreecommitdiff
path: root/hostap
diff options
context:
space:
mode:
Diffstat (limited to 'hostap')
-rw-r--r--hostap/hostap-modules_0.2.5.oe22
1 files changed, 19 insertions, 3 deletions
diff --git a/hostap/hostap-modules_0.2.5.oe b/hostap/hostap-modules_0.2.5.oe
index 452e43a928..bbb3850076 100644
--- a/hostap/hostap-modules_0.2.5.oe
+++ b/hostap/hostap-modules_0.2.5.oe
@@ -15,8 +15,6 @@ S = "${WORKDIR}/hostap-driver-${PV}"
inherit module
-# Hack Alert :D
-ARCH_mipsel = "mips"
EXTRA_OEMAKE = "EXTRA_CFLAGS='-DPRISM2_NON_VOLATILE_DOWNLOAD'"
NET_MODULES = "hostap.o hostap_pci.o hostap_crypt_ccmp.o hostap_crypt_tkip.o hostap_crypt_wep.o"
@@ -32,11 +30,29 @@ do_install() {
install -m 0644 driver/modules/hostap_cs.o ${D}/lib/modules/${KERNEL_VERSION}/pcmcia/
install -m 0644 driver/etc/hostap_cs.conf ${D}/${sysconfdir}/pcmcia/hostap_cs.conf
cat ${WORKDIR}/hostap_cs.conf >>${D}/${sysconfdir}/pcmcia/hostap_cs.conf
+
+ if [ "${MACHINE}" = "mtx-1" ]; then
+ install -d ${D}/etc/modutils
+ echo "hostap_pci" > ${D}/etc/modutils/hostap
+ fi
+}
+
+pkg_postinst_hostap-modules-pci() {
+#!/bin/sh
+if [ "x$D" != "x" ]; then
+ exit 1
+fi
+update-modules || true
+}
+
+pkg_postrm_hostap-modules-pci() {
+#!/bin/sh
+update-modules || true
}
PACKAGES = "hostap-modules-cs hostap-modules-pci hostap-modules"
FILES_hostap-modules-cs = "/lib/modules/${KERNEL_VERSION}/pcmcia/ /${sysconfdir}/pcmcia/"
-FILES_hostap-modules-pci = "/lib/modules/${KERNEL_VERSION}/net/hostap_pci.o"
+FILES_hostap-modules-pci = "/etc/modutils /lib/modules/${KERNEL_VERSION}/net/hostap_pci.o"
FILES_hostap-modules = "/lib/modules/"
RDEPENDS_hostap-modules-cs = "hostap-modules"
RDEPENDS_hostap-modules-pci = "hostap-modules"